/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\IM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_USERPARAM') 
 CREATE TABLE T_IM_USERPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_IM_INVQUERYMAPPING' AND KSQL_COL_NAME ='FRETURNCOLNO') 
 ALTER TABLE T_IM_INVQUERYMAPPING ADD (FRETURNCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_IM_INVQUERYMAPPING' AND KSQL_COL_NAME ='FRETURNCOL') 
 ALTER TABLE T_IM_INVQUERYMAPPING ADD (FRETURNCOL NVARCHAR(100) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\IM_table.sql **/
